<template>
  <div>
    <input :value="value" @input="emit" :placeholder="placeholder" />
  </div>
</template>
<style lang="scss" scoped>
@import "~assets/mixins.scss";
</style>
<script>
export default {
  props: ["value", "placeholder"],
  data() {
    return {};
  },
  computed: {},
  watch: {},
  methods: {
    emit(output) {
      this.$emit("input", output.target.value);
    },
  },
};
</script>
